package com.ruoyi.bst.team.mapper;

import java.util.List;
import com.ruoyi.bst.team.domain.Team;
import com.ruoyi.bst.team.domain.TeamVO;
import com.ruoyi.bst.team.domain.TeamQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 拼桌Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-22
 */
public interface TeamMapper
{
    /**
     * 查询拼桌
     *
     * @param id 拼桌主键
     * @return 拼桌
     */
    TeamVO selectTeamById(Long id);

    /**
     * 查询拼桌列表
     *
     * @param query 拼桌
     * @return 拼桌集合
     */
    List<TeamVO> selectTeamList(@Param("query")TeamQuery query);

    /**
     * 新增拼桌
     *
     * @param team 拼桌
     * @return 结果
     */
    int insertTeam(Team team);

    /**
     * 批量新增拼桌
     */
    int batchInsert(@Param("list") List<? extends Team> list);

    /**
     * 批量修改拼桌
     */
    int batchUpdate(@Param("list") List<? extends Team> list);

    /**
     * 修改拼桌
     *
     * @param team 拼桌
     * @return 结果
     */
    public int updateTeam(@Param("data") Team team);

    /**
     * 删除拼桌
     *
     * @param id 拼桌主键
     * @return 结果
     */
    int deleteTeamById(Long id);

    /**
     * 批量删除拼桌
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTeamByIds(Long[] ids);
}
